[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# ActivePopupMenu

Unit global variable which represents the active pop-up menu.

## Declaration

Source position: menus.pp line 503

`var ActivePopupMenu: TPopupMenu = Nil;`

## Description

The value for the variable is updated when the PopUp or Close methods are called for a TPopUpMenu instance. It is set to the TPopUpMenu instance in the Popup method if an existing pop-up menu is not already active. It is set to Nil when the Close method is called for the pop-up menu.